Debian Bug report logs - #403888
manpages-dev: time(2) obsoletion oddity

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Reuben Thomas <rrt@sc3d.org>

Date: Wed, 20 Dec 2006 13:33:11 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/2.39-1

Fixed in version manpages/2.44-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#403888; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: time(2) obsoletion oddity
Date: Wed, 20 Dec 2006 13:13:21 +0000
Package: manpages-dev
Version: 2.39-1
Severity: minor

time(2): "Under 4.3BSD, this call is obsoleted by gettimeofday(2)."
but since both are POSIX (at least, gettimeofday is according to its
man page), why does one obsolete the other, and only on
4.3BSD?

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
ii  manpages                      2.39-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#403888; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 403888@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Reuben Thomas <rrt@sc3d.org>, 403888@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#403888: manpages-dev: time(2) obsoletion oddity
Date: Tue, 26 Dec 2006 17:07:31 -0800
tags 403888 fixed-upstream
thanks

Hello Reuben,

> time(2): "Under 4.3BSD, this call is obsoleted by gettimeofday(2)."
> but since both are POSIX (at least, gettimeofday is according to its
> man page), why does one obsolete the other, and only on
> 4.3BSD?

This text is a rather obtuse way of saying that gettimeofday() first
appeared on BSD, and provided a superset of the functionality of time(2).
Nowadays, I don't think that text is very relevant.  I've simply removed
the sentence.  Change will be in 2.44.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reuben Thomas <rrt@sc3d.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 403888-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 403888-close@bugs.debian.org
Subject: Bug#403888: fixed in manpages 2.44-1
Date: Sun, 22 Apr 2007 17:02:05 +0000
Source: manpages
Source-Version: 2.44-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.44-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.44-1_all.deb
manpages_2.44-1.diff.gz
  to pool/main/m/manpages/manpages_2.44-1.diff.gz
manpages_2.44-1.dsc
  to pool/main/m/manpages/manpages_2.44-1.dsc
manpages_2.44-1_all.deb
  to pool/main/m/manpages/manpages_2.44-1_all.deb
manpages_2.44.orig.tar.gz
  to pool/main/m/manpages/manpages_2.44.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 403888@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Apr 2007 18:38:34 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.44-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 400971 400975 403888 411777 416012
Changes: 
 manpages (2.44-1) unstable; urgency=low
 .
   * New upstream release
     . Fix EINVAL description in mbind(2) (closes: Bug#411777)
     . Various improvements to DESCRIPTION in rename(2) (closes: Bug#416012)
     . Improved time(2) (closes: Bug#403888)
     . Improved getopt(2) (closes: Bug#bug352139)
     . Fix return type in SYNOPSIS in posix_openpt(2) (closes: Bug#400971)
     . Needs _XOPEN_SOURCE == 600 in posix_openpt(2) (closes: Bug400975)
Files: 
 e11c60f3ff3cc7b5682509dcc3a5d20a 584 doc - manpages_2.44-1.dsc
 ce67dbac96f1934b65fd87f099c39c66 1216437 doc - manpages_2.44.orig.tar.gz
 772ce538ebaa630fdbcc2d84ff4211db 53563 doc - manpages_2.44-1.diff.gz
 e48dc02ffd29653e69933a04db1c0e21 497298 doc important manpages_2.44-1_all.deb
 696cf4c78a8652e230d20efef56876aa 1235602 doc optional manpages-dev_2.44-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGK5EzW5ql+IAeqTIRAjgzAJsEtGwz3ghmmwgHUF4qCJ5C7xit2wCglF+B
Fzi+cBPGWvvk9Cij4bibF20=
=7YWC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jun 2007 08:04:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:38:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.